> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/internal-service-endpoints/statements/create-statements-batch.md).

# Create Statements Batch

Create statements in a batch.

```json
{"openapi":"3.1.0","info":{"title":"Internal Service Endpoints","version":"2.13.3"},"tags":[{"name":"Statements"}],"servers":[{"description":"Sandbox environment, for testing purposes.","url":"https://sandbox.bloom.dev"}],"paths":{"/v2/furnishment/statements/batch":{"post":{"tags":["Statements"],"summary":"Create Statements Batch","description":"Create statements in a batch.","operationId":"create_statements_batch_api_v1_statements_batch_post","parameters":[{"required":false,"schema":{"type":"string","title":"X-Partner"},"name":"x-partner","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Request_StatementCreateBatch_"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response_StatementBatch_"}}}},"400":{"description":"Bad Request ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}}},"404":{"description":"Not Found ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}}},"409":{"description":"Conflict detected from request. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Request_StatementCreateBatch_":{"properties":{"data":{"$ref":"#/components/schemas/RequestData_StatementCreateBatch_"}},"type":"object","required":["data"],"title":"Request[StatementCreateBatch]","description":"    "},"RequestData_StatementCreateBatch_":{"properties":{"type":{"type":"string","enum":["StatementCreateBatch"],"title":"Type"},"attributes":{"$ref":"#/components/schemas/StatementCreateBatch"},"id":{"type":"string","title":"Id"},"relationships":{"additionalProperties":{"$ref":"#/components/schemas/RequestRelationshipModel"},"type":"object","title":"Relationships"}},"type":"object","required":["type","attributes"],"title":"RequestData[StatementCreateBatch]","description":"    "},"StatementCreateBatch":{"properties":{"statements":{"items":{"$ref":"#/components/schemas/StatementCreate"},"type":"array","title":"Statements"}},"type":"object","required":["statements"],"title":"StatementCreateBatch"},"StatementCreate":{"properties":{"account_id":{"type":"string","format":"uuid","title":"Account Id"},"statement_date":{"type":"string","format":"date","title":"Statement Date"},"current_balance":{"type":"number","minimum":0,"title":"Current Balance"},"days_delinquent":{"type":"integer","title":"Days Delinquent","default":0},"credit_limit":{"type":"number","minimum":0,"title":"Credit Limit"},"scheduled_monthly_payment":{"type":"number","minimum":0,"title":"Scheduled Monthly Payment"},"actual_monthly_payment":{"type":"number","minimum":0,"title":"Actual Monthly Payment"},"amount_past_due":{"type":"number","minimum":0,"title":"Amount Past Due"},"last_payment_date":{"type":"string","format":"date","title":"Last Payment Date"},"highest_balance":{"type":"number","minimum":0,"title":"Highest Balance","default":0},"statement_identifier":{"type":"string","title":"Statement Identifier"}},"type":"object","required":["account_id","statement_date","current_balance","credit_limit","scheduled_monthly_payment","actual_monthly_payment","amount_past_due","statement_identifier"],"title":"StatementCreate"},"RequestRelationshipModel":{"properties":{"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifier"},{"items":{"$ref":"#/components/schemas/ResourceIdentifier"},"type":"array"}],"title":"Data"}},"type":"object","title":"RequestRelationshipModel"},"ResourceIdentifier":{"properties":{"id":{"type":"string","title":"Id"},"type":{"type":"string","title":"Type"},"meta":{"type":"object","title":"Meta"}},"type":"object","required":["id","type"],"title":"ResourceIdentifier","description":"https://jsonapi.org/format/#document-resource-identifier-objects"},"Response_StatementBatch_":{"properties":{"data":{"$ref":"#/components/schemas/ResponseData_StatementBatch_"},"included":{"items":{},"type":"array","title":"Included"},"meta":{"type":"object","title":"Meta"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"type":"object","title":"Links"}},"type":"object","required":["data"],"title":"Response[StatementBatch]","description":"    "},"ResponseData_StatementBatch_":{"properties":{"id":{"type":"string","title":"Id"},"type":{"type":"string","enum":["StatementBatch"],"title":"Type"},"attributes":{"allOf":[{"$ref":"#/components/schemas/BatchStatement"}],"title":"Attributes","default":{}},"relationships":{"additionalProperties":{"$ref":"#/components/schemas/ResponseRelationshipModel"},"type":"object","title":"Relationships"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"type":"object","title":"Links"}},"type":"object","required":["id","type"],"title":"ResponseData[StatementBatch]","description":"    "},"BatchStatement":{"properties":{"success":{"items":{"$ref":"#/components/schemas/BatchStatementSucess"},"type":"array","title":"Success"},"fail":{"items":{"$ref":"#/components/schemas/BatchStatementFail"},"type":"array","title":"Fail"},"id":{"type":"string","title":"Id"}},"type":"object","required":["success","fail","id"],"title":"BatchStatement"},"BatchStatementSucess":{"properties":{"account_id":{"type":"string","format":"uuid","title":"Account Id"},"statement_date":{"type":"string","format":"date","title":"Statement Date"},"statement_id":{"type":"string","format":"uuid","title":"Statement Id"},"statement_identifier":{"type":"string","title":"Statement Identifier"}},"type":"object","required":["account_id","statement_date","statement_id","statement_identifier"],"title":"BatchStatementSucess"},"BatchStatementFail":{"properties":{"account_id":{"type":"string","format":"uuid","title":"Account Id"},"statement_date":{"type":"string","format":"date","title":"Statement Date"},"errors":{"items":{"$ref":"#/components/schemas/JSONAPIError"},"type":"array","title":"Errors"},"statement_identifier":{"type":"string","title":"Statement Identifier"}},"type":"object","required":["account_id","statement_date","errors","statement_identifier"],"title":"BatchStatementFail"},"JSONAPIError":{"properties":{"status":{"type":"integer","title":"Status"},"title":{"type":"string","title":"Title"},"detail":{"type":"string","title":"Detail","default":""}},"type":"object","required":["title"],"title":"JSONAPIError"},"ResponseRelationshipModel":{"properties":{"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"type":"object","title":"Links"},"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifier"},{"items":{"$ref":"#/components/schemas/ResourceIdentifier"},"type":"array"}],"title":"Data"},"meta":{"type":"object","title":"Meta"}},"type":"object","title":"ResponseRelationshipModel"},"LinkHref":{"properties":{"href":{"type":"string","title":"Href"},"meta":{"type":"object","title":"Meta"}},"type":"object","required":["href","meta"],"title":"LinkHref"},"JSONAPIErrorResponse":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/JSONAPIError"},"type":"array","title":"Errors"}},"type":"object","required":["errors"],"title":"JSONAPIErrorResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/internal-service-endpoints/statements/create-statements-batch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
